Package ru.bitel.bgbilling.plugins.helpdesk.client.bean

# Class PackageTableModel

java.lang.Object
javax.swing.table.AbstractTableModel
ru.bitel.common.client.table.AbstractBGTableModel
ru.bitel.common.client.table.BasicBGTableModel<Package>
ru.bitel.common.client.table.BGTableModel<Package>
ru.bitel.bgbilling.plugins.helpdesk.client.bean.PackageTableModel

All Implemented Interfaces:
  `Serializable`, `TableModel`

public class PackageTableModel extends ru.bitel.common.client.table.BGTableModel<Package>

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.client.table.BasicBGTableModel

  `ru.bitel.common.client.table.BasicBGTableModel.BGTableModelColumnRef`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.client.table.BasicBGTableModel

  `clazz, table`

  ### Fields inherited from class ru.bitel.common.client.table.AbstractBGTableModel

  `name`

  ### Fields inherited from class javax.swing.table.AbstractTableModel

  `listenerList`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PackageTableModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `initColumns()`

  ### Methods inherited from class ru.bitel.common.client.table.BGTableModel

  `addRow, deleteRow, deleteRows, deleteSelectedRows, downSelectedRow, getRowCount, getRows, getSelectedRow, getSelectedRowIndex, getSelectedRows, getValueAt, getValueFromSelectedRow, insertRow, isCellEditable, setData, setData, setRow, setSelectedRow, setSelectedRow, setSelectedRows, setSelectedRows, setValueAt, upSelectedRow`

  ### Methods inherited from class ru.bitel.common.client.table.BasicBGTableModel

  `addColumn, addColumn, addColumn, addColumn, addColumn, addColumn, addColumn, addColumn, addColumn, addColumn, addColumnId, addColumnId, addColumnShortId, getColumnClass, getColumnCount, getColumnMaxWidth, getColumnMinWidth, getColumnName, getColumnPrefferedWidth, getColumns, getIdentifier, getTableCellRenderer, getValue, getValueAt, hideColumns, isColumnHidden, isColumnSortable, isColumnVisible, optSelectedRow, reinitColumns, setColumnVisible, setValue`

  ### Methods inherited from class ru.bitel.common.client.table.AbstractBGTableModel

  `getName`

  ### Methods inherited from class javax.swing.table.AbstractTableModel

  `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PackageTableModel

    public PackageTableModel()

- ## Method Details

  - ### initColumns

    protected void initColumns()
    Specified by:
      `initColumns` in class `ru.bitel.common.client.table.BasicBGTableModel<Package>`